# Class CIM_PolicyComponent
extends CIM_Component

CIM_PolicyComponent is a generic association used to establish 'part of' relationships between the subclasses of CIM_Policy. For example, the PolicyConditionInPolicyRule association defines that PolicyConditions are part of a PolicyRule.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_PolicyComponent

## Direct Known Subclasses

CIM_PolicyActionStructure
CIM_PolicyConditionStructure
CIM_PolicyGroupInPolicyGroup
CIM_PolicyRuleInPolicyGroup
CIM_PolicyRuleValidityPeriod
CIM_PolicySetComponent
CIM_PolicySetValidityPeriod

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Aggregation | boolean | true
Association | boolean | true
Description | string | CIM_PolicyComponent is a generic association used to establish 'part of' relationships between the subclasses of CIM_Policy. For example, the PolicyConditionInPolicyRule association defines that PolicyConditions are part of a PolicyRule.
UMLPackagePath | string | CIM::Policy
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PolicyComponent | CIM_Policy
PartComponent | CIM_PolicyComponent | CIM_Policy

## Class Methods